package xyz.prismix.OPCAI_server.Controllers;

import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import xyz.prismix.OPCAI_server.DataBase.SQLUserDatabase;

import java.sql.SQLException;

@RestController
public class Account {
    @RequestMapping("/account/create")
    public ResponseEntity<String> createAccount(@RequestParam String username, @RequestParam String password) throws SQLException, JsonProcessingException {
        String data = SQLUserDatabase.createAccount(username, password);
        if (data.equals("This username is already taken !")) {
            return new ResponseEntity<>(data, HttpStatus.CONFLICT);
        }
        return new ResponseEntity<>(data, HttpStatus.CREATED);
    }

    @RequestMapping("/account/login")
    public ResponseEntity<String> login(@RequestParam String username, @RequestParam String password) throws SQLException {
        String data = SQLUserDatabase.getTokenForUser(username, password);
        if (data.equals("null")) {
            return new ResponseEntity<>(data, HttpStatus.NOT_FOUND);
        }
        return new ResponseEntity<>(data, HttpStatus.OK);
    }
}
