package xyz.prismix.OPCAI_server.Controllers;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import xyz.prismix.OPCAI_server.DataBase.Objects.Card;
import xyz.prismix.OPCAI_server.DataBase.SQLCardDatabase;

import java.sql.SQLException;

@RestController
public class CardsControllers {
    @RequestMapping("/cards/get")
    ResponseEntity<Card> get(@RequestParam int id) throws SQLException {
        Card card = SQLCardDatabase.getCard(id);
        System.out.println(card);
        if (card != null) {
            return new ResponseEntity<>(card, HttpStatus.OK);
        }
        return new ResponseEntity<>(null, HttpStatus.NOT_FOUND);
    }
}
