package xyz.prismix.OPCAI_server.Cards;

import java.util.ArrayList;
import java.util.List;

public enum CardTypes {
    normal(
            new ArrayList<CardTypes>() {{ //X2

            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(rock);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0
                add(ghost);
            }}
    ),
    fire(
            new ArrayList<CardTypes>() {{ //X2
                add(grass);
                add(ice);
                add(bug);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(fire);
                add(water);
                add(rock);
                add(dragon);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0

            }}
    ),
    water(
            new ArrayList<CardTypes>() {{ //X2
                add(fire);
                add(ground);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(water);
                add(grass);
                add(dragon);
            }},
            new ArrayList<CardTypes>() {{ //X0

            }}
    ),
    electric(
            new ArrayList<CardTypes>() {{ //X2
                add(water);
                add(flying);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(electric);
                add(grass);
                add(dragon);
            }},
            new ArrayList<CardTypes>() {{ //X0
                add(ground);
            }}
    ),
    grass(
            new ArrayList<CardTypes>() {{ //X2
                add(water);
                add(ground);
                add(rock);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(fire);
                add(grass);
                add(poison);
                add(flying);
                add(bug);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0

            }}
    ),
    ice(
            new ArrayList<CardTypes>() {{ //X2
                add(grass);
                add(ground);
                add(flying);
                add(dragon);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(fire);
                add(water);
                add(ice);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0

            }}
    ),
    fighting(
            new ArrayList<CardTypes>() {{ //X2
                add(normal);
                add(ice);
                add(rock);
                add(dark);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(poison);
                add(flying);
                add(psychic);
                add(bug);
                add(fairy);
            }},
            new ArrayList<CardTypes>() {{ //X0

            }}
    ),
    poison(
            new ArrayList<CardTypes>() {{ //X2
                add(grass);
                add(fairy);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(poison);
                add(flying);
                add(rock);
                add(ghost);
            }},
            new ArrayList<CardTypes>() {{ //X0
                add(steel);
            }}
    ),
    ground(
            new ArrayList<CardTypes>() {{ //X2
                add(fire);
                add(electric);
                add(poison);
                add(rock);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(grass);
                add(bug);
            }},
            new ArrayList<CardTypes>() {{ //X0
                add(flying);
            }}
    ),
    flying(
            new ArrayList<CardTypes>() {{ //X2
                add(grass);
                add(fighting);
                add(bug);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(electric);
                add(rock);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0

            }}
    ),
    psychic(
            new ArrayList<CardTypes>() {{ //X2
                add(fighting);
                add(poison);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(psychic);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0
                add(dark);
            }}
    ),
    bug(
            new ArrayList<CardTypes>() {{ //X2
                add(grass);
                add(psychic);
                add(dark);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(fire);
                add(fighting);
                add(poison);
                add(flying);
                add(ghost);
                add(steel);
                add(fairy);
            }},
            new ArrayList<CardTypes>() {{ //X0

            }}
    ),
    rock(
            new ArrayList<CardTypes>() {{ //X2
                add(fire);
                add(ice);
                add(flying);
                add(bug);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(fighting);
                add(ground);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ //X0

            }}
    ),
    ghost(
            new ArrayList<CardTypes>() {{ //X2
                add(psychic);
                add(ghost);
            }},
            new ArrayList<CardTypes>() {{ //X0.5
                add(dark);
            }},
            new ArrayList<CardTypes>() {{ //X0
                add(normal);
            }}
    ),
    dragon(
            new ArrayList<CardTypes>() {{ // X2
                add(dragon);
            }},
            new ArrayList<CardTypes>() {{ // X0.5
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ // X0
                add(fairy);
            }}
    ),
    dark(
            new ArrayList<CardTypes>() {{ // X2
                add(ghost);
                add(psychic);
            }},
            new ArrayList<CardTypes>() {{ // X0.5
                add(dark);
                add(fairy);
                add(fighting);
            }},
            new ArrayList<CardTypes>() {{ // X0
            }}
    ),
    steel(
            new ArrayList<CardTypes>() {{ // X2
                add(fairy);
                add(ice);
                add(rock);
            }},
            new ArrayList<CardTypes>() {{ // X0.5
                add(fire);
                add(water);
                add(electric);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ // X0
            }}
    ),
    fairy(
            new ArrayList<CardTypes>() {{ // X2
                add(dragon);
                add(dark);
                add(fighting);
            }},
            new ArrayList<CardTypes>() {{ // X0.5
                add(fire);
                add(poison);
                add(steel);
            }},
            new ArrayList<CardTypes>() {{ // X0
            }}
    );


    List<CardTypes> x2;
    List<CardTypes> x05;
    List<CardTypes> x0;

    CardTypes(List<CardTypes> x2, List<CardTypes> x05, List<CardTypes> x0) {
        this.x2 = x2; this.x05 = x05; this.x0 = x0;
    }
}
